package com.brilliance.isc.doc.annotation;

import java.lang.annotation.*;

@Documented
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.METHOD)
public @interface DocFunc {
    /**
     * 面函/报文名称
     * @return
     */
    String name();

    /**
     * 介质类型
     * @return
     */
    String cortyp();

    /**
     * 面函报文优先顺序，如不填写，将取默认值
     * @return
     */
    int order() default -1;


    /**
     * 是否必出，即不允许变更cortyp，默认为true，个别特殊的，可设置为false
     * @return
     */
    boolean required() default true;
}
